Failed to set up dependencies with latest Android Studio 1.4

Hi

I recently upgraded AS to 1.4 and am now getting an error that says it is ignoring my dependencies from a java module to an Android module. This is a new warning since the upgrade. Running my Gradle build from the command line is fine. However if I try to launch my unit tests from within AS I get class not found errors for the dependencies that have been ignored. We've been running our projects with these types of dependencies for some time now. Mostly this has to do with test projects referring to an Andorid module that has a separate Gradle configuration that leaves out all the Android stuff so we can have smipler unit tests. How can I get my AS to recognize my dependenceis and my unit tests to run within Intellij/AS?

Thanks

3 comments
Comment actions Permalink

Does the issue occur with IntelliJ IDEA as well?

0
Comment actions Permalink

I don't know. We're only running AS here.

0
Comment actions Permalink

Android Studio is not developed by JetBrains, you can report issues at https://code.google.com/p/android/issues/entry?template=Android%20Studio%20bug .

0

Please sign in to leave a comment.